Index: aclocal.m4
===================================================================
--- aclocal.m4	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ aclocal.m4	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -1,13 +1,3 @@
-dnl aclocal.m4 generated automatically by aclocal 1.4
-
-dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl This program is distributed in the hope that it will be useful,
-dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-dnl PARTICULAR PURPOSE.
+dnl aclocal.m4 generated automatically by aclocal 1.2
 
 dnl $Id$
Index: c/src/exec/Makefile.in
===================================================================
--- c/src/exec/Makefile.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/exec/Makefile.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -20,5 +20,5 @@
 
 POSIX_DIRS_yes_V=posix
-POSIX_DIRS = $(POSIX_DIRS_$(RTEMS_HAS_POSIX_API)_V)
+POSIX_DIRS = $(POSIX_DIRS_$(HAS_POSIX_API)_V)
 
 SUB_DIRS=score rtems $(POSIX_DIRS) sapi wrapup
Index: c/src/exec/score/include/rtems/score/Makefile.in
===================================================================
--- c/src/exec/score/include/rtems/score/Makefile.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/exec/score/include/rtems/score/Makefile.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -86,8 +86,8 @@
 	@echo "#define USE_INLINES 1"                          >>$@
 endif
-ifeq ($(RTEMS_HAS_MULTIPROCESSING),yes)
+ifeq ($(HAS_MULTIPROCESSING),yes)
 	@echo "#define RTEMS_MULTIPROCESSING 1"                >>$@
 endif
-ifeq ($(RTEMS_HAS_POSIX_API),yes)
+ifeq ($(HAS_POSIX_API),yes)
 	@echo "#define RTEMS_POSIX_API 1"                      >>$@
 endif
Index: c/src/exec/wrapup/Makefile.in
===================================================================
--- c/src/exec/wrapup/Makefile.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/exec/wrapup/Makefile.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -20,5 +20,5 @@
 
 POSIX_DIRS_yes_V=posix
-POSIX_DIRS = $(POSIX_DIRS_$(RTEMS_HAS_POSIX_API)_V)
+POSIX_DIRS = $(POSIX_DIRS_$(HAS_POSIX_API)_V)
 
 SUB_DIRS=rtems $(POSIX_DIRS) 
Index: c/src/lib/libbsp/unix/posix/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/Makefile.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/lib/libbsp/unix/posix/startup/Makefile.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -39,5 +39,5 @@
 include $(RTEMS_ROOT)/make/leaf.cfg
 
-ifeq ($(RTEMS_HAS_CPLUSPLUS),yes)
+ifeq ($(HAS_CPLUSPLUS),yes)
 NO_CTOR_LIB=${ARCH}/libno-ctor.a
 INSTALLED_O_FILES=$(ARCH)/rtems-ctor.o
Index: c/src/lib/libchip/network/sonic.h
===================================================================
--- c/src/lib/libchip/network/sonic.h	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/lib/libchip/network/sonic.h	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -28,4 +28,42 @@
 #ifndef _SONIC_DP83932_
 #define _SONIC_DP83932_
+
+
+ /*
+  * Debug levels
+  *
+  */
+
+#define SONIC_DEBUG_NONE                0x0000
+#define SONIC_DEBUG_ALL                 0xFFFF
+#define SONIC_DEBUG_PRINT_REGISTERS     0x0001
+#define SONIC_DEBUG_MEMORY              0x0002
+#define SONIC_DEBUG_MEMORY_ALLOCATE     0x0004
+#define SONIC_DEBUG_MEMORY_DESCRIPTORS  0x0008
+#define SONIC_DEBUG_FRAGMENTS           0x0008
+#define SONIC_DEBUG_CAM                 0x0010
+#define SONIC_DEBUG_DESCRIPTORS         0x0020
+#define SONIC_DEBUG_ERRORS              0x0040
+#define SONIC_DEBUG_DUMP_TX_MBUFS       0x0080
+#define SONIC_DEBUG_DUMP_RX_MBUFS       0x0100
+
+#define SONIC_DEBUG_DUMP_MBUFS \
+      (SONIC_DEBUG_DUMP_TX_MBUFS|SONIC_DEBUG_DUMP_RX_MBUFS)
+
+#define SONIC_DEBUG  (SONIC_DEBUG_NONE)
+/*
+#define SONIC_DEBUG  (SONIC_DEBUG_ERRORS | SONIC_DEBUG_PRINT_REGISTERS |\
+      SONIC_DEBUG_DESCRIPTORS)
+*/
+
+/*
+  ((SONIC_DEBUG_ALL) & ~(SONIC_DEBUG_PRINT_REGISTERS|SONIC_DEBUG_DUMP_MBUFS))
+  ((SONIC_DEBUG_ALL) & ~(SONIC_DEBUG_DUMP_MBUFS))
+*/
+
+#if (SONIC_DEBUG & SONIC_DEBUG_PRINT_REGISTERS)
+extern char SONIC_Reg_name[64][6];
+#endif
+
 
 /*
@@ -235,4 +273,5 @@
 #define DCR2_EXPO1      0x2000
 #define DCR2_EXPO0      0x1000
+#define DCR2_HBDIS      0x0800
 #define DCR2_PH         0x0010
 #define DCR2_PCM        0x0004
@@ -241,8 +280,10 @@
 
 /*
- *  Known values for the Silicon Revision Register
+ *  Known values for the Silicon Revision Register.
+ *  Note that DP83934 has revision 5 and seems to work.
  */
 
 #define SONIC_REVISION_B   4
+#define SONIC_REVISION_DP83934   5
 #define SONIC_REVISION_C   6
 
@@ -414,3 +455,7 @@
 );
 
+#ifdef CPU_U32_FIX
+void ipalign(struct mbuf *m);
+#endif
+
 #endif /* _SONIC_DP83932_ */
Index: c/src/libchip/network/sonic.h
===================================================================
--- c/src/libchip/network/sonic.h	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ c/src/libchip/network/sonic.h	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -28,4 +28,42 @@
 #ifndef _SONIC_DP83932_
 #define _SONIC_DP83932_
+
+
+ /*
+  * Debug levels
+  *
+  */
+
+#define SONIC_DEBUG_NONE                0x0000
+#define SONIC_DEBUG_ALL                 0xFFFF
+#define SONIC_DEBUG_PRINT_REGISTERS     0x0001
+#define SONIC_DEBUG_MEMORY              0x0002
+#define SONIC_DEBUG_MEMORY_ALLOCATE     0x0004
+#define SONIC_DEBUG_MEMORY_DESCRIPTORS  0x0008
+#define SONIC_DEBUG_FRAGMENTS           0x0008
+#define SONIC_DEBUG_CAM                 0x0010
+#define SONIC_DEBUG_DESCRIPTORS         0x0020
+#define SONIC_DEBUG_ERRORS              0x0040
+#define SONIC_DEBUG_DUMP_TX_MBUFS       0x0080
+#define SONIC_DEBUG_DUMP_RX_MBUFS       0x0100
+
+#define SONIC_DEBUG_DUMP_MBUFS \
+      (SONIC_DEBUG_DUMP_TX_MBUFS|SONIC_DEBUG_DUMP_RX_MBUFS)
+
+#define SONIC_DEBUG  (SONIC_DEBUG_NONE)
+/*
+#define SONIC_DEBUG  (SONIC_DEBUG_ERRORS | SONIC_DEBUG_PRINT_REGISTERS |\
+      SONIC_DEBUG_DESCRIPTORS)
+*/
+
+/*
+  ((SONIC_DEBUG_ALL) & ~(SONIC_DEBUG_PRINT_REGISTERS|SONIC_DEBUG_DUMP_MBUFS))
+  ((SONIC_DEBUG_ALL) & ~(SONIC_DEBUG_DUMP_MBUFS))
+*/
+
+#if (SONIC_DEBUG & SONIC_DEBUG_PRINT_REGISTERS)
+extern char SONIC_Reg_name[64][6];
+#endif
+
 
 /*
@@ -235,4 +273,5 @@
 #define DCR2_EXPO1      0x2000
 #define DCR2_EXPO0      0x1000
+#define DCR2_HBDIS      0x0800
 #define DCR2_PH         0x0010
 #define DCR2_PCM        0x0004
@@ -241,8 +280,10 @@
 
 /*
- *  Known values for the Silicon Revision Register
+ *  Known values for the Silicon Revision Register.
+ *  Note that DP83934 has revision 5 and seems to work.
  */
 
 #define SONIC_REVISION_B   4
+#define SONIC_REVISION_DP83934   5
 #define SONIC_REVISION_C   6
 
@@ -414,3 +455,7 @@
 );
 
+#ifdef CPU_U32_FIX
+void ipalign(struct mbuf *m);
+#endif
+
 #endif /* _SONIC_DP83932_ */
Index: configure.in
===================================================================
--- configure.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ configure.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -363,4 +363,5 @@
 AC_SUBST(RTEMS_USE_OWN_PDIR)
 AC_SUBST(RTEMS_HAS_POSIX_API)
+AC_SUBST(RTEMS_HAS_MULTIPROCESSING)
 AC_SUBST(RTEMS_HAS_NETWORKING)
 AC_SUBST(RTEMS_HAS_RDBG)
Index: make/custom/gensh1.cfg
===================================================================
--- make/custom/gensh1.cfg	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ make/custom/gensh1.cfg	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -81,3 +81,3 @@
 # Miscellaneous additions go here
 
-SHGEN=$(PROJECT_ROOT)/c/src/exec/score/tools/sh/$(ARCH)/shgen
+SHGEN=$(PROJECT_ROOT)/c/src/exec/score/tools/sh/shgen
Index: make/target.cfg.in
===================================================================
--- make/target.cfg.in	(revision 367cc5ef05450e98ddcfd0fbb311690b132483d4)
+++ make/target.cfg.in	(revision c9b07e92d10a1a0f5515dc1a4b70c4c6f912f5ed)
@@ -42,5 +42,4 @@
 RTEMS_HAS_MULTIPROCESSING = @RTEMS_HAS_MULTIPROCESSING@
 RTEMS_HAS_POSIX_API = @RTEMS_HAS_POSIX_API@
-RTEMS_HAS_POSIX_1H_API = @RTEMS_HAS_POSIX_1H_API@
 RTEMS_HAS_NETWORKING = @RTEMS_HAS_NETWORKING@
 RTEMS_HAS_RDBG = @RTEMS_HAS_RDBG@
@@ -55,5 +54,5 @@
 BARE_CPU_CFLAGS = @BARE_CPU_CFLAGS@
  
-INSTALL_CHANGE=$(PROJECT_ROOT)/$(RTEMS_BSP)/build-tools/install-if-change
+# INSTALL_CHANGE=$(PROJECT_ROOT)/$(RTEMS_BSP)/build-tools/install-if-change
 XCFLAGS=$(CFLAGS_FOR_TARGET)
  
